Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451120 - Review Request: lua-lpeg - Parsing Expression Grammars for Lua
Summary: Review Request: lua-lpeg - Parsing Expression Grammars for Lua
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 22:11 UTC by Tim Niemueller
Modified: 2010-11-07 15:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-01 21:26:04 UTC
tibbs: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Tim Niemueller 2008-06-12 22:11:29 UTC
Spec URL: http://fedorapeople.org/~timn/luastuff/lua-lpeg.spec
SRPM URL: http://fedorapeople.org/~timn/luastuff/lua-lpeg-0.8.1-1.fc9.src.rpm
Description:
LPeg is a new pattern-matching library for Lua, based on Parsing Expression
Grammars (PEGs).

Website: http://www.inf.puc-rio.br/~roberto/lpeg.html
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=660005
(Changed summary after scratch build)

Comment 1 Jason Tibbitts 2008-06-12 23:49:12 UTC
Builds fine and rpmlint is silent.  I see two issues, one minor and one major.

The minor one: the sed and chmod at the end of %install seem to me to make more
sense in %prep.

The major one: You need to be consistent about using macros like %{__cc}; you
need to use %{__rm}, %{__mkdir}, %{__chmod} and %{__sed} instead.  Or just use
the non-macro forms everywhere.

* source files match upstream:
   8859c3dbd1d3dfd21c422362a66ad7c3c2c840fbbd47c7b806a5ba0c0013514a  
   lpeg-0.8.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named and is cleanly written.
X specfile does not use macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   lpeg.so.0.8.1()(64bit)
   lua-lpeg = 0.8.1-1.fc10
  =
   lua >= 5.1

* %check is present and all tests pass.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

Comment 2 Tim Niemueller 2008-06-13 08:19:37 UTC
I've fixed both of these issues. New SRPM is at
http://fedorapeople.org/~timn/luastuff/lua-lpeg-0.8.1-2.fc9.src.rpm.

You almost got me there now, to obey the guidelines ;-) Thanks for the review,
wanna hop on to bug #450527 or bug #450539 ?

Comment 3 Jason Tibbitts 2008-06-14 18:35:47 UTC
Still builds fine; the issues I had are fixed, although I admit that I can't
figure out why anyone would prefer "%{__rm}" to "rm".  In the end it's up to you.

APPROVED

I'll try to look at libkni; service-discovery-applet is a bit beyond my regular
 knowledge as I don't even run gnome.

Comment 4 Tim Niemueller 2008-06-16 08:11:00 UTC
I used it because I didn't want to hardcode gcc but use %{__cc} instead. If I
have to be consistent I'll rather use the macros for *this* package...

Thanks for the review!

Comment 5 Tim Niemueller 2008-06-16 08:12:14 UTC
New Package CVS Request
=======================
Package Name: lua-lpeg
Short Description: Parsing Expression Grammars for Lua
Owners: timn
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes


Comment 6 Kevin Fenzi 2008-06-16 16:11:33 UTC
cvs done.

Comment 7 Tim Niemueller 2010-11-07 00:20:03 UTC
Package Change Request
======================
Package Name: lua-lpeg
New Branches: el5 el6
Owners: timn

Comment 8 Jason Tibbitts 2010-11-07 15:40:48 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.